package com.ylcm.sys.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ylcm.sys.domain.AdMedia;
import com.ylcm.sys.excel.model.AdMediaImportDTO;
import com.ylcm.sys.form.AdMediaForm;

/**
 * <p>
 * 媒体管理表 服务类
 * </p>
 *
 * @author admin
 * @since 2020-07-01
 */
public interface AdMediaService extends IService<AdMedia> {

	AdMedia getByName(String name);
	
	String importBatch(List<AdMediaImportDTO> importDTOs);
	
	Integer getTotalByName(String name);

	String deleteById(Integer id);
	
    void updateByForm(AdMediaForm adMediaForm);

	List<AdMedia> getListByPage(String name, Integer rank, Integer pageSize, Integer pageNo);
}
